Bug 1247967 - qtcreator crashed with KDE breeze theme
qtcreator crashed with KDE breeze theme
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt-creator (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
: 1255926 1266783 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 06:58 EDT by Sergei Nikulov
Modified: 2016-07-19 15:53 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:53:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 347524 None None None Never

  None (edit)
Description Sergei Nikulov 2015-07-29 06:58:30 EDT
Description of problem:

qtcreator crashed with breeze style used in KDE.

Version-Release number of selected component (if applicable):

Fedora 22 x86_64

Installed Packages
Name        : qt-creator 
Arch        : x86_64
Epoch       : 0
Version     : 3.4.2
Release     : 1.fc22
Size        : 47 M
Repo        : @System
From repo   : updates
Summary     : Cross-platform IDE for Qt

Installed Packages
Name        : kf5-plasma
Arch        : x86_64
Epoch       : 0
Version     : 5.11.0
Release     : 1.fc22
Size        : 5.8 M
Repo        : @System
From repo   : updates
Summary     : KDE Frameworks 5 Tier 3 framework is foundation to build a primary user interface
URL         : http://www.kde.org

Installed Packages
Name        : qt5-qtbase
Arch        : x86_64
Epoch       : 0
Version     : 5.4.2
Release     : 2.fc22
Size        : 10 M
Repo        : @System
From repo   : updates
Summary     : Qt5 - QtBase components
URL         : http://qt-project.org/


How reproducible:

Run from konsole
#qtcreator -style breeze

Go "Tools->Options..." and press "Apply" button more then once and qtcreator will crash.

Steps to Reproduce:
1. Run from konsole "qtcreator -style breeze"
2. Go "Tools->Options..." and press "Apply" button more then once

Actual results:
qtcreator crashed with core.

Expected results:
qtcreator not crashed

Additional info:

If set KDE style as Breeze this issue will always be by default on start Qtcreator from menu.


Here is additional bugs:
https://bugs.kde.org/show_bug.cgi?id=347524

Assuming that some issue with packaging in Fedora 22.
Comment 1 Rex Dieter 2015-07-29 12:43:59 EDT
I can reproduce this using qt5 copr (with qt-5.5.0) too.
Comment 2 Sandro Mani 2015-07-29 13:34:15 EDT
Not reproducible on rawhide though. Wonder whether the qt-creator version is making a difference. I've fired up an f22 scratch build of qt-creator-3.5.0-beta1 here: http://koji.fedoraproject.org/koji/taskinfo?taskID=10529443
Comment 3 Sandro Mani 2015-07-29 14:05:32 EDT
Uh, scratch that, qt-creator-3.5.0-beta1 requires qt >= 5.5, so this needs to be done in copr: https://copr.fedoraproject.org/coprs/smani/qt-creator-3.5.0-fc22/builds/
Comment 4 Sandro Mani 2015-08-21 19:06:30 EDT
*** Bug 1255926 has been marked as a duplicate of this bug. ***
Comment 5 Sandro Mani 2015-08-24 17:54:49 EDT
Please test qt-creator-3.5.0-1.fc22 in updates-testing.
Comment 6 Sergei Nikulov 2015-09-17 18:57:40 EDT
Hello,

The problem still here

-------------------- dump ------------------------
[snikulov@solara-fed ~]$ qtcreator -style breeze
QProcess: Destroyed while process ("/usr/bin/cmake") is still running.
*** Error in `qtcreator': free(): invalid pointer: 0x0000000001a79e00 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x77a8d)[0x7f2d2ba15a8d]
/lib64/libc.so.6(cfree+0x5cd)[0x7f2d2ba21d2d]
/usr/lib64/qt5/plugins/styles/breeze.so(+0x2b37a)[0x7f2d0bd5137a]
/usr/lib64/qt5/plugins/styles/breeze.so(+0x2ae6c)[0x7f2d0bd50e6c]
/lib64/libQt5Widgets.so.5(_ZN7QWidget5eventEP6QEvent+0x668)[0x7f2d2dfba5d8]
/lib64/libQt5Widgets.so.5(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x8c)[0x7f2d2df774ac]
/lib64/libQt5Widgets.so.5(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x256)[0x7f2d2df7c976]
/lib64/libQt5Core.so.5(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0xdb)[0x7f2d2cd3661b]
/lib64/libQt5Widgets.so.5(_ZN14QWidgetPrivate14sendPaintEventERK7QRegion+0x49)[0x7f2d2dfb3209]
/lib64/libQt5Widgets.so.5(_ZN14QWidgetPrivate10drawWidgetEP12QPaintDeviceRK7QRegionRK6QPointiP8QPainterP19QWidgetBackingStore+0x5f1)[0x7f2d2dfb3851]
/lib64/libQt5Widgets.so.5(_ZN14QWidgetPrivate22paintSiblingsRecursiveEP12QPaintDeviceRK5QListIP7QObjectEiRK7QRegionRK6QPointiP8QPainterP19QWidgetBackingStore+0x44c)[0x7f2d2dfb44fc]
/lib64/libQt5Widgets.so.5(_ZN14QWidgetPrivate22paintSiblingsRecursiveEP12QPaintDeviceRK5QListIP7QObjectEiRK7QRegionRK6QPointiP8QPainterP19QWidgetBackingStore+0x339)[0x7f2d2dfb43e9]
/lib64/libQt5Widgets.so.5(_ZN14QWidgetPrivate22paintSiblingsRecursiveEP12QPaintDeviceRK5QListIP7QObjectEiRK7QRegionRK6QPointiP8QPainterP19QWidgetBackingStore+0x339)[0x7f2d2dfb43e9]
/lib64/libQt5Widgets.so.5(_ZN14QWidgetPrivate10drawWidgetEP12QPaintDeviceRK7QRegionRK6QPointiP8QPainterP19QWidgetBackingStore+0x161)[0x7f2d2dfb33c1]
/lib64/libQt5Widgets.so.5(_ZN14QWidgetPrivate22paintSiblingsRecursiveEP12QPaintDeviceRK5QListIP7QObjectEiRK7QRegionRK6QPointiP8QPainterP19QWidgetBackingStore+0x44c)[0x7f2d2dfb44fc]
/lib64/libQt5Widgets.so.5(_ZN14QWidgetPrivate22paintSiblingsRecursiveEP12QPaintDeviceRK5QListIP7QObjectEiRK7QRegionRK6QPointiP8QPainterP19QWidgetBackingStore+0x339)[0x7f2d2dfb43e9]
/lib64/libQt5Widgets.so.5(_ZN14QWidgetPrivate22paintSiblingsRecursiveEP12QPaintDeviceRK5QListIP7QObjectEiRK7QRegionRK6QPointiP8QPainterP19QWidgetBackingStore+0x339)[0x7f2d2dfb43e9]
/lib64/libQt5Widgets.so.5(_ZN14QWidgetPrivate10drawWidgetEP12QPaintDeviceRK7QRegionRK6QPointiP8QPainterP19QWidgetBackingStore+0x161)[0x7f2d2dfb33c1]
/lib64/libQt5Widgets.so.5(+0x161cf6)[0x7f2d2df84cf6]
/lib64/libQt5Widgets.so.5(+0x161f2c)[0x7f2d2df84f2c]
/lib64/libQt5Widgets.so.5(_ZN14QWidgetPrivate16syncBackingStoreEv+0x4f)[0x7f2d2dfa30df]
/lib64/libQt5Widgets.so.5(_ZN7QWidget5eventEP6QEvent+0x468)[0x7f2d2dfba3d8]
/lib64/libQt5Widgets.so.5(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x8c)[0x7f2d2df774ac]
/lib64/libQt5Widgets.so.5(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x256)[0x7f2d2df7c976]
/lib64/libQt5Core.so.5(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0xdb)[0x7f2d2cd3661b]
/lib64/libQt5Core.so.5(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x2c6)[0x7f2d2cd38a16]
/lib64/libQt5Core.so.5(+0x2d9983)[0x7f2d2cd8c983]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x15a)[0x7f2d2b257a8a]
/lib64/libglib-2.0.so.0(+0x49e20)[0x7f2d2b257e20]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7f2d2b257ecc]
/lib64/libQt5Core.so.5(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x5f)[0x7f2d2cd8cd8f]
/lib64/libQt5Core.so.5(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x10a)[0x7f2d2cd33daa]
/lib64/libQt5Widgets.so.5(_ZN7QDialog4execEv+0x20d)[0x7f2d2e17221d]
/usr/lib64/qtcreator/plugins/libCore.so(+0xffd41)[0x7f2d0b77bd41]
/usr/lib64/qtcreator/plugins/libCore.so(+0x1e6cb1)[0x7f2d0b862cb1]
/lib64/libQt5Core.so.5(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x7ba)[0x7f2d2cd6515a]
/lib64/libQt5Widgets.so.5(_ZN7QAction9triggeredEb+0x42)[0x7f2d2df6d842]
/lib64/libQt5Core.so.5(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x647)[0x7f2d2cd64fe7]
/lib64/libQt5Widgets.so.5(_ZN7QAction9triggeredEb+0x42)[0x7f2d2df6d842]
/lib64/libQt5Widgets.so.5(_ZN7QAction8activateENS_11ActionEventE+0xf8)[0x7f2d2df6fce8]
/lib64/libQt5Widgets.so.5(+0x2cf412)[0x7f2d2e0f2412]
/lib64/libQt5Widgets.so.5(+0x2d56dc)[0x7f2d2e0f86dc]
/lib64/libQt5Widgets.so.5(_ZN5QMenu17mouseReleaseEventEP11QMouseEvent+0x1d0)[0x7f2d2e0fc5e0]
/lib64/libQt5Widgets.so.5(_ZN7QWidget5eventEP6QEvent+0x668)[0x7f2d2dfba5d8]
/lib64/libQt5Widgets.so.5(_ZN5QMenu5eventEP6QEvent+0x113)[0x7f2d2e0fd023]
/lib64/libQt5Widgets.so.5(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x8c)[0x7f2d2df774ac]
/lib64/libQt5Widgets.so.5(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x959)[0x7f2d2df7d079]
/lib64/libQt5Core.so.5(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0xdb)[0x7f2d2cd3661b]
/lib64/libQt5Widgets.so.5(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x3c2)[0x7f2d2df7bf82]
/lib64/libQt5Widgets.so.5(+0x1b20e8)[0x7f2d2dfd50e8]
/lib64/libQt5Widgets.so.5(+0x1b433b)[0x7f2d2dfd733b]
/lib64/libQt5Widgets.so.5(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x8c)[0x7f2d2df774ac]
/lib64/libQt5Widgets.so.5(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x256)[0x7f2d2df7c976]
/lib64/libQt5Core.so.5(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0xdb)[0x7f2d2cd3661b]
/lib64/libQt5Gui.so.5(_ZN22QGuiApplicationPrivate17processMouseEventEPN29QWindowSystemInterfacePrivate10MouseEventE+0x281)[0x7f2d2d7caaf1]
/lib64/libQt5Gui.so.5(_ZN22QGuiApplicationPrivate24processWindowSystemEventEPN29QWindowSystemInterfacePrivate17WindowSystemEventE+0x135)[0x7f2d2d7cc7c5]
/lib64/libQt5Gui.so.5(_ZN22QWindowSystemInterface22sendWindowSystemEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x28)[0x7f2d2d7b05d8]
/lib64/libQt5XcbQpa.so.5(+0x69b10)[0x7f2d1c808b10]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x15a)[0x7f2d2b257a8a]
/lib64/libglib-2.0.so.0(+0x49e20)[0x7f2d2b257e20]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7f2d2b257ecc]
/lib64/libQt5Core.so.5(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x5f)[0x7f2d2cd8cd8f]
/lib64/libQt5Core.so.5(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x10a)[0x7f2d2cd33daa]
/usr/lib64/qtcreator/plugins/libBazaar.so

... skip .....

Aborted (core dumped)
[snikulov@solara-fed ~]$
Comment 7 Sergei Nikulov 2015-09-17 19:02:39 EDT
[snikulov@solara-fed ~]$ dnf info qt-creator
Last metadata expiration check performed 0:15:49 ago on Fri Sep 18 01:43:06 2015.
Installed Packages
Name        : qt-creator
Arch        : x86_64
Epoch       : 0
Version     : 3.5.0
Release     : 1.fc22
Size        : 47 M
Repo        : @System
From repo   : updates
Summary     : Cross-platform IDE for Qt
URL         : http://qt-project.org/wiki/Category:Tools::QtCreator
License     : LGPLv2 or LGPLv3, with exceptions
Description : Qt Creator is a cross-platform IDE (integrated development environment)
            : tailored to the needs of Qt developers.

[snikulov@solara-fed ~]$ dnf info qt5-qtbase kf5-plasma
Last metadata expiration check performed 0:18:45 ago on Fri Sep 18 01:43:06 2015.
Installed Packages
Name        : kf5-plasma
Arch        : x86_64
Epoch       : 0
Version     : 5.13.0
Release     : 1.fc22
Size        : 5.9 M
Repo        : @System
From repo   : updates
Summary     : KDE Frameworks 5 Tier 3 framework is foundation to build a primary user interface
URL         : https://projects.kde.org/projects/frameworks/plasma-framework
License     : GPLv2+ and LGPLv2+ and BSD
Description : KDE Frameworks 5 Tier 3 framework is foundation to build a primary user interface.

Name        : qt5-qtbase
Arch        : x86_64
Epoch       : 0
Version     : 5.5.0
Release     : 15.fc22
Size        : 8.3 M
Repo        : @System
From repo   : updates
Summary     : Qt5 - QtBase components
URL         : http://qt-project.org/
License     : LGPLv2 with exceptions or GPLv3 with exceptions
Description : Qt is a software toolkit for developing applications.
            : 
            : This package contains base tools, like string, xml, and network
            : handling.
Comment 8 Sandro Mani 2015-09-18 06:25:43 EDT
Uhm on the terminal I see tons of

0x55ed2350eb80 void QWindowPrivate::setTopLevelScreen(QScreen*, bool) ( QScreen(0x55ed1f28b250) ): Attempt to set a screen on a child window.

and at one point the qt-creator welcome widget went completely black.

Happens with the breeze theme only AFAICS.
Comment 9 Sandro Mani 2015-09-27 16:25:42 EDT
*** Bug 1266783 has been marked as a duplicate of this bug. ***
Comment 10 Dan Mossor [danofsatx] 2015-09-27 17:40:00 EDT
#1266783 was just produced with:

qt-creator-3.5.0-1.fc22.x86_64
qt5-qtbase-5.5.0-15.fc22.x86_64
kf5-plasma-5.13.0-1.fc22.x86_64
plasma-breeze-5.4.1-1.fc22.x86_64
kde-style-breeze-5.4.1-1.fc22.x86_64
breeze-icon-theme-5.4.1-1.fc22.noarch
Comment 11 Ivan Romanov 2016-04-17 13:24:45 EDT
The same problem on F22 qt-creator-3.6.0-6.fc22.x86_64. I tried to use qtcreator -style gtk it workarounds the problem.
Comment 12 Fedora End Of Life 2016-07-19 15:53:57 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.